## org.omg.CosNaming
Class NameHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NameHelper

public class NameHelper
extends java.lang.Object

Helper class for : Name

Author:
  OpenORB Compiler

Constructor Summary
`NameHelper()`

Method Summary
`static NameComponent[]` `extract(Any a)` Extract Name from an any
`static java.lang.String` `id()` Return the Name IDL ID
`static void` `insert(Any a, NameComponent[] t)` Insert Name into an any
`static NameComponent[]` `read(InputStream istream)` Read Name from a marshalled stream
`static TypeCode` `type()` Return the Name TypeCode
`static void` `write(OutputStream ostream, NameComponent[] value)` Write Name into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameHelper

    public NameHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NameComponent[] t)

  Insert Name into an any
  Parameters:
    `a` - an any
    `t` - Name value

### extract

    public static NameComponent[] extract(Any a)

  Extract Name from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Name value

### type

    public static TypeCode type()

  Return the Name TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Name IDL ID
  Returns:
    an ID

### read

    public static NameComponent[] read(InputStream istream)

  Read Name from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Name value

### write

    public static void write(OutputStream ostream,
                             NameComponent[] value)

  Write Name into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Name value